## gsoap 2.8.3

=== debian/changelog ===
gsoap (2.8.3-1ubuntu1) oneiric-proposed; urgency=low

  * Fix an issue with IPv4 only sockets when IPv6 is enabled (LP: #876713)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 23 Oct 2011 11:47:12 +0200

gsoap (2.8.3-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright - the code generated by wsdl2h and soapcpp2
    now has an OpenSSL linking exception to the GPL

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 28 Jun 2011 06:56:17 +0200

gsoap (2.8.2-1) unstable; urgency=low

  * New upstream release
  * Rewrite the debian/copyright file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 May 2011 16:01:38 +0200

gsoap (2.7.17-1) unstable; urgency=low

  * New maintainer: Mattias Ellert (Closes: #519898).
  * New upstream release (Closes: #489264).
  * Install import and plugin directories (Closes: #606641).
  * Install custom directory (Closes: #513244).
  * Correct doc-base file (Closes: #512894).
  * Enable IPv6 support.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 15 Mar 2011 18:59:16 +0100

gsoap (2.7.9l-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Added build dependency on quilt (Closes: #487156).
  * Updated doc-base entry.
  * Suggesting openssl package that is used in examples.
  * Eliminated lintian warning on root.sh example.

 -- Steffen Moeller <moeller@debian.org>  Sun, 22 Jun 2008 03:02:16 +0200

gsoap (2.7.9l-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream version (Closes: #441212, #442280).
  * Added -fPIC -DPIC to C(PP)FLAGS to ease linking (Closes: #353724).

 -- Steffen Moeller <moeller@debian.org>  Thu, 19 Jun 2008 14:50:28 +0200

gsoap (2.7.9b-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * 0-day porter NMU.
  * Fix mis-detection of TRU64 whenever __alpha is defined, which causes a
    build failure on Linux/Alpha.  Closes: #337863.

 -- Steve Langasek <vorlon@debian.org>  Wed, 02 May 2007 02:15:40 -0700

gsoap (2.7.9b-1) unstable; urgency=low

  * New upstream version (Closes: #383712)
  * The following fixes were contributed by Christian Holm Christensen
    <cholm@nbi.dk> (Closes: #402115):
  ** Also install stl*.h files  needed by wsdl2h (Closes: #330886).
  ** Install stdsoap2.c and stdsoap2.cpp in /usr/include/gsoap/ so that
     developers can `#include <gsoap/stdsoap2.c>' or
     `#include <gsoap/stdsoap2.cpp>' instead of linking against -lgsoap,
     or compile these files separately.  The documentation actually
     suggests that the developer should compile these files into the
     server/client, so they should be distributed.
  ** Improve man(1) pages
  ** Added copy of config.{guess,sub} and build-dep on autotools-dev
  ** Added some of the examples from the `soapcpp2/samples' directory as
     normal examples.  This servers as an extra source of documentation.
  ** Fixed a problem in the code when passing a `unsigned char*' (by
     address) instead of a `const unsigned char*'.  Line 3813 in
     stdsoap2_ssl_cpp.cpp (a symlink to stdsoap2.cpp).
  ** Fix perm of example script root.sh
  ** Do not distribute configured built-system with examples.
  ** soapcpp2.html isn't compressed

 -- Thomas Wana <greuff@debian.org>  Thu,  1 Feb 2007 15:21:36 +0100

gsoap (2.7.6d-1) unstable; urgency=low

  * New upstream version

 -- Thomas Wana <greuff@debian.org>  Fri, 20 Jan 2006 13:34:00 +0100

gsoap (2.7.6c-1) unstable; urgency=low

  * New upstream version (Closes: #325021, #325022)

 -- Thomas Wana <greuff@debian.org>  Wed, 21 Sep 2005 00:14:41 +0200

gsoap (2.7.0d-2) unstable; urgency=low

  * Package now includes header files needed for soapcpp2 to work with
    files generated from wsdl2h (Closes: #310582)

 -- Thomas Wana <greuff@debian.org>  Sat,  4 Jun 2005 13:29:49 +0200

gsoap (2.7.0d-1) unstable; urgency=low

  * New upstream version 2.7.0d stable (Closes: #199358 (ITP)).

 -- Thomas Wana <greuff@debian.org>  Wed,  5 Jan 2005 20:36:12 +0100
