## gsoap 2.8.4

=== debian/changelog ===
gsoap (2.8.4-2) unstable; urgency=low

  * Bump soname instead of using shlibs file for backward
    non-compatible updates

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 07 Nov 2011 20:34:05 +0100

gsoap (2.8.4-1) unstable; urgency=low

  * New upstream release
  * Drop gsoap-ipv6.patch implemented upstream
  * Link gsoap SSL shared libraries with libssl (Closes: #646228)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 01 Nov 2011 05:14:38 +0100

gsoap (2.8.3-3) unstable; urgency=low

  * Fix an issue with IPv4 only sockets when IPv6 is enabled (LP: #876713)
  * Use dpkg's build flags

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 21 Oct 2011 16:02:55 +0200

gsoap (2.8.3-2) unstable; urgency=low

  * Update man pages
  * Add shlibs file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 28 Aug 2011 18:50:33 +0200
