=== debian/rules ===
--- 
+++ 
@@ -1,39 +1,26 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+-include /usr/share/dpkg/buildflags.mk
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-include /usr/share/quilt/quilt.make
-
-version = 2.8.3
+version = 2.8.4
+# Bump the soversion whenever the new version is not backwards compatible
+soversion = 1
 
 configure: configure-stamp
 	:
 
-configure-stamp: $(QUILT_STAMPFN)
+configure-stamp:
 	dh_testdir
 
 	find . -name '*.xml' -exec chmod a-x {} \;
 
-	rm -f gsoap/doc/wsse/html/.DS_Store
 	rm -f gsoap/doc/.DS_Store
-
-	sed 's/Cflags:/& @SOAPCPP2_IPV6@/' -i gsoap*.pc.in
 
 	autoreconf --install --force
 
-	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CFLAGS)' ./configure \
-		--host=$(DEB_HOST_GNU_TYPE) \
-		--build=$(DEB_BUILD_GNU_TYPE) \
+	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
+	CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' ./configure \
 		--prefix=/usr \
 		--exec-prefix='$${prefix}' \
 		--mandir='$${datadir}/man' \
@@ -43,22 +30,23 @@
 
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+	:
+
+build-arch: build-stamp
+	:
+
+build-indep: build-stamp
 	:
 
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE)
+	$(MAKE) SOVERSION=$(soversion)
 
 	touch $@
 
-clean: unpatch
-	:
-
-unpatch: cleanup
-
-cleanup:
+clean:
 	dh_testdir
 	dh_testroot
 
@@ -86,8 +74,6 @@
 
 	rm -f build-stamp configure-stamp
 
-	sed 's/ @SOAPCPP2_IPV6@//' -i gsoap*.pc.in
-
 	dh_clean
 
 install: build-stamp
@@ -96,7 +82,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
 
 	rm $(CURDIR)/debian/tmp/usr/lib/*.la
 
@@ -108,6 +94,12 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs
+
+	for f in `find $(CURDIR)/debian/gsoap-doc -name jquery.js` ; do \
+	    rm $$f ; \
+	    ln -s /usr/share/javascript/jquery/jquery.js $$f ; \
+	done
+
 	dh_install --fail-missing
 	dh_installman
 	dh_link
@@ -157,4 +149,4 @@
 	  echo "Done" ; \
 	fi
 
-.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source
