## gsoap 2.8.7

=== debian/changelog ===
gsoap (2.8.7-2+deb7u1) wheezy-security; urgency=high

  * Non maintainer upload by the LTS team.
  * Fix CVE-2017-9765: A vulnerability was discovered in gsoap, a library for
    the development of SOAP web services and clients, that may be exposed with a
    large and specific XML message over 2 GB in size. After receiving this 2 GB
    message, a buffer overflow can cause an open unsecured server to crash.
    Clients communicating with HTTPS with trusted servers are not affected.

 -- Markus Koschany <apo@debian.org>  Mon, 24 Jul 2017 19:42:04 +0200

gsoap (2.8.7-2) unstable; urgency=low

  * Add missing Replaces/Breaks (Closes: #694277)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 Nov 2012 14:42:31 +0100

gsoap (2.8.7-1) unstable; urgency=low

  * New upstream release
  * Bump soname due to changes in struct soap w.r.t. the previous Debian
    version
  * Split binary rule in debian/rules for arch and indep

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 Feb 2012 11:00:53 +0100
