=== debian/control ===
Source: gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), flex, bison, binutils, libssl-dev, autoconf, automake, libtool, autotools-dev
Standards-Version: 3.9.3
Section: devel
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
Homepage: http://gsoap2.sourceforge.net/

Package: libgsoap2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime libraries for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Runtime libraries.

Package: gsoap
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap2 (= ${binary:Version})
Description: Development libraries and stub generators for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Development libraries and
 stub generators.

Package: gsoap-doc
Section: doc
Architecture: all
Replaces: gsoap (<< 2.7.17)
Breaks: gsoap (<< 2.7.17)
Depends: ${misc:Depends}, libjs-jquery
Description: gSOAP documentation
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Documentation files.

Package: gsoap-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, gsoap (= ${binary:Version}) | libgsoap2 (= ${binary:Version})
Description: Debugging symbols for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Debugging symbols.
