=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,11 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.4
+version = 2.8.7
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 1
+soversion = 2
 
 configure: configure-stamp
-	:
 
 configure-stamp:
 	dh_testdir
@@ -31,13 +30,10 @@
 	touch $@
 
 build: build-arch build-indep
-	:
 
 build-arch: build-stamp
-	:
 
 build-indep: build-stamp
-	:
 
 build-stamp: configure-stamp
 	dh_testdir
@@ -86,35 +82,46 @@
 
 	rm $(CURDIR)/debian/tmp/usr/lib/*.la
 
-binary-indep:
-	:
+binary: binary-arch binary-indep
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
-	dh_installdocs
+	dh_installdocs -a
+	dh_installchangelogs -a
+	dh_install -a --fail-missing
+	dh_installman -a
+	dh_link -a
+	dh_strip -a --dbg-package=gsoap-dbg
+	dh_compress -a
+	dh_fixperms -a
+	dh_makeshlibs -a
+	dh_installdeb -a
+	dh_shlibdeps -a -l debian/gsoap/usr/lib
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
+
+binary-indep: install
+	dh_testdir
+	dh_testroot
+	dh_installdocs -i
 
 	for f in `find $(CURDIR)/debian/gsoap-doc -name jquery.js` ; do \
 	    rm $$f ; \
 	    ln -s /usr/share/javascript/jquery/jquery.js $$f ; \
 	done
 
-	dh_install --fail-missing
-	dh_installman
-	dh_link
-	dh_strip --dbg-package=gsoap-dbg
-	dh_compress
-	dh_fixperms
-	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps -l debian/gsoap/usr/lib
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary: binary-indep binary-arch
-	:
+	dh_installchangelogs -i
+	dh_install -i --fail-missing
+	dh_installman -i
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 get-orig-source:
 	if [ -r gsoap_$(version).orig.tar.gz ] ; then \
@@ -149,4 +156,4 @@
 	  echo "Done" ; \
 	fi
 
-.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source
+.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install get-orig-source
