=== debian/changelog ===
gsoap (2.8.12-1) unstable; urgency=low

  * New upstream release
  * Convert to multiarch (Closes: #674414)
  * Split gsoap package into libgsoap-dev (Multi-Arch: same) and
    gsoap (Multi-Arch: foreign)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 10 Jan 2013 14:46:34 +0100
