=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.7
+version = 2.8.12
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 2
+soversion = 3
 
 configure: configure-stamp
 
@@ -21,9 +23,7 @@
 	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
 	CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' ./configure \
 		--prefix=/usr \
-		--exec-prefix='$${prefix}' \
-		--mandir='$${datadir}/man' \
-		--infodir='$${datadir}/info' \
+		--libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
 		--enable-ipv6 \
 		--enable-samples
 
@@ -59,6 +59,8 @@
 	rm -f gsoap/samples/databinding/address.h
 	rm -f gsoap/samples/udp/udp.wsdl
 
+	rm -f gsoap/samples/chaining/qServer.c
+
 	rm -f gsoap/samples/chaining++/QuoteC.cpp
 	rm -f gsoap/samples/chaining++/QuoteH.h
 	rm -f gsoap/samples/chaining++/QuoteStub.h
@@ -80,7 +82,7 @@
 
 	$(MAKE) install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
 
-	rm $(CURDIR)/debian/tmp/usr/lib/*.la
+	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la
 
 binary: binary-arch binary-indep
 
@@ -92,12 +94,13 @@
 	dh_install -a --fail-missing
 	dh_installman -a
 	dh_link -a
-	dh_strip -a --dbg-package=gsoap-dbg
+	dh_strip -a -X/bin/ --dbg-package=libgsoap-dbg
+	dh_strip -a -X/lib/ --dbg-package=gsoap-dbg
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -a -l debian/gsoap/usr/lib
+	dh_shlibdeps -a -l debian/gsoap/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
