=== debian/changelog ===
gsoap (2.8.16-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Aron Xu <aron@debian.org>  Thu, 20 Mar 2014 00:38:47 +0800

gsoap (2.8.16-2) unstable; urgency=low

  * Move -lm to Libs.private in pkg-config files

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 31 Oct 2013 11:53:42 +0100

gsoap (2.8.16-1) unstable; urgency=low

  * New upstream release
  * Bump soname - struct soap changed

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 18 Oct 2013 06:09:09 +0200

gsoap (2.8.12-2) unstable; urgency=low

  * Pad non-ipv6 struct soap to match ipv6 version (Closes: #712685)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 17 Oct 2013 21:57:58 +0200
