=== debian/changelog ===
gsoap (2.8.17-1) unstable; urgency=medium

  * New upstream release
  * Bump soname
  * Fix default import paths for soapcpp2 and wsdl2h
  * Remove precompiled binaries and pregenerated doxygen documentation
    from sources (Closes: #753963)
  * Remove xsd and wsdl files with licenses that disallow modification from
    sources (Closes: #728414)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 Jul 2014 23:10:39 +0200

gsoap (2.8.16-3) unstable; urgency=medium

  * Fix for IPv4 only hosts (LP: #876713)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 03 Jun 2014 08:32:23 +0200
