=== debian/rules ===
--- 
+++ 
@@ -5,18 +5,16 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.12
+version = 2.8.17
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 3
+soversion = 5
 
 configure: configure-stamp
 
 configure-stamp:
 	dh_testdir
 
-	find . -name '*.xml' -exec chmod a-x {} \;
-
-	rm -f gsoap/doc/.DS_Store
+	find . -name '*.xml' -exec chmod a-x {} ';'
 
 	autoreconf --install --force
 
@@ -40,6 +38,10 @@
 
 	$(MAKE) SOVERSION=$(soversion)
 
+	for f in gsoap/doc/*/Doxyfile ; do \
+	  ( cd `dirname $$f` ; doxygen Doxyfile ) ; \
+	done
+
 	touch $@
 
 clean:
@@ -56,17 +58,7 @@
 
 	rm -rf autom4te.cache
 
-	rm -f gsoap/samples/databinding/address.h
-	rm -f gsoap/samples/udp/udp.wsdl
-
-	rm -f gsoap/samples/chaining/qServer.c
-
-	rm -f gsoap/samples/chaining++/QuoteC.cpp
-	rm -f gsoap/samples/chaining++/QuoteH.h
-	rm -f gsoap/samples/chaining++/QuoteStub.h
-	rm -f gsoap/samples/chaining++/CalcC.cpp
-	rm -f gsoap/samples/chaining++/CalcH.h
-	rm -f gsoap/samples/chaining++/CalcStub.h
+	rm -rf gsoap/doc/*/html
 
 	find . -name Makefile.in -exec rm {} ';'
 
@@ -81,6 +73,9 @@
 	dh_installdirs
 
 	$(MAKE) install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
+
+	install -p -m 644 debian/WS-README \
+	  $(CURDIR)/debian/tmp/usr/share/gsoap/WS
 
 	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la
 
@@ -109,12 +104,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs -i
-
-	for f in `find $(CURDIR)/debian/gsoap-doc -name jquery.js` ; do \
-	    rm $$f ; \
-	    ln -s /usr/share/javascript/jquery/jquery.js $$f ; \
-	done
-
+	find $(CURDIR)/debian/gsoap-doc -name Doxyfile -exec rm {} ';'
 	dh_installchangelogs -i
 	dh_install -i --fail-missing
 	dh_installman -i
@@ -148,10 +138,31 @@
 	  echo "Unpacking and renaming folder" ; \
 	  unzip gsoap_$(version).zip ; \
 	  mv gsoap-2.8 gsoap-$(version) ; \
+	  echo "Deleting precompiled binaries" ; \
+	  rm -rf gsoap-$(version)/gsoap/bin \
+		 gsoap-$(version)/gsoap/ios_plugin/examples/*/build \
+		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
+		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
+	  ( cd gsoap-$(version)/gsoap/samples/link++ ; make distclean ) ; \
+	  ( cd gsoap-$(version)/gsoap/samples/wcf/WS/DualHttp ; make distclean ) ; \
+	  echo "Deleting pre-generated doxygen documentaion" ; \
+	  rm -rf gsoap-$(version)/gsoap/doc/*/html \
+		 gsoap-$(version)/gsoap/ios_plugin/ios_plugin/docs/html \
+		 gsoap-$(version)/gsoap/samples/databinding/html ; \
 	  echo "Deleting code with only non-free licenses" ; \
 	  rm -rf gsoap-$(version)/gsoap/extras \
 		 gsoap-$(version)/gsoap/mod_gsoap \
 		 gsoap-$(version)/gsoap/Symbian ; \
+	  echo "Deleting xsd and wsdl files" ; \
+	  rm -rf gsoap-$(version)/gsoap/WS/*.xsd \
+		 gsoap-$(version)/gsoap/WS/*.wsdl \
+	         gsoap-$(version)/gsoap/samples/autotest/*.xsd \
+		 gsoap-$(version)/gsoap/samples/autotest/*.wsdl \
+	         gsoap-$(version)/gsoap/uddi2/*.xsd \
+		 gsoap-$(version)/gsoap/uddi2/*.wsdl ; \
+	  echo "Deleting .dotfiles" ; \
+	  find gsoap-$(version) -name .DS_Store -exec rm {} ';' ; \
+	  rm gsoap-$(version)/gsoap/samples/wcf/WS/DualHttp/.calculator.cpp.swp ; \
 	  echo "Repacking" ; \
 	  tar -z -c -f gsoap_$(version).orig.tar.gz gsoap-$(version) ; \
 	  echo "Cleaning up" ; \
