## gsoap 2.8.22

=== gsoap/samples/wcf/Basic/MessageSecurity/Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 SOAPDOMC=../../../../dom.c
 SOAPDOMCPP=../../../../dom.cpp
 TYPEMAP=../../../../typemap.dat
-CC=gcc
-CPP=g++
+CC=gcc -x c
+CPP=g++ -x c++
 LIBS=-lssl -lcrypto
 GSFLAGS=-L -I../../../../import
 COFLAGS=-O2
