=== debian/changelog ===
gsoap (2.8.22-1) unstable; urgency=medium

  * New upstream release
  * Bump soname
  * Drop patches fixed upstream: gsoap-private-lm.patch, -pad.patch,
    -ipv6.patch, -default-paths.patch, -cleanfiles.patch, -doxygen-paths.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 23 Apr 2015 13:06:30 +0200
