=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: gsoap
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), flex, bison, binutils, libssl-dev, autoconf, automake, libtool, autotools-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 5), dh-autoreconf, flex, bison, libssl-dev, doxygen, graphviz
+Standards-Version: 3.9.6
 Section: devel
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap4
+Package: libgsoap7
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -24,7 +24,7 @@
 Multi-Arch: same
 Replaces: gsoap (<< 2.8.12)
 Breaks: gsoap (<< 2.8.12)
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap4 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap7 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
@@ -45,7 +45,7 @@
 Multi-Arch: foreign
 Replaces: gsoap (<< 2.7.17)
 Breaks: gsoap (<< 2.7.17)
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}
 Description: gSOAP documentation
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Documentation files.
@@ -55,7 +55,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libgsoap4 (= ${binary:Version})
+Depends: ${misc:Depends}, libgsoap7 (= ${binary:Version})
 Description: Debugging symbols for gSOAP libraries
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Debugging symbols for libraries.
