=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.17
+version = 2.8.22
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 5
+soversion = 7
 
 configure: configure-stamp
 
@@ -16,7 +16,7 @@
 
 	find . -name '*.xml' -exec chmod a-x {} ';'
 
-	autoreconf --install --force
+	dh_autoreconf
 
 	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
 	CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' ./configure \
@@ -50,17 +50,10 @@
 
 	if [ -r Makefile ]; then $(MAKE) reallyveryveryclean; fi
 
-	# Remove autogenerated files
-
-	rm -f ltmain.sh
-	rm -f libtool
-	rm -f ylwrap
-
-	rm -rf autom4te.cache
+	dh_autoreconf_clean
 
 	rm -rf gsoap/doc/*/html
-
-	find . -name Makefile.in -exec rm {} ';'
+	rm -f gsoap/doc/*/doxygen_sqlite3.db
 
 	rm -f build-stamp configure-stamp
 
@@ -95,7 +88,7 @@
 	dh_fixperms -a
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -a -l debian/gsoap/usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
@@ -144,6 +137,9 @@
 		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
 		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  ( cd gsoap-$(version)/gsoap/samples/link++ ; make distclean ) ; \
+	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/Http ; make distclean ) ; \
+	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/MessageSecurity ; make distclean ) ; \
+	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity ; make distclean ) ; \
 	  ( cd gsoap-$(version)/gsoap/samples/wcf/WS/DualHttp ; make distclean ) ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
 	  rm -rf gsoap-$(version)/gsoap/doc/*/html \
@@ -156,13 +152,10 @@
 	  echo "Deleting xsd and wsdl files" ; \
 	  rm -rf gsoap-$(version)/gsoap/WS/*.xsd \
 		 gsoap-$(version)/gsoap/WS/*.wsdl \
-	         gsoap-$(version)/gsoap/samples/autotest/*.xsd \
+		 gsoap-$(version)/gsoap/samples/autotest/*.xsd \
 		 gsoap-$(version)/gsoap/samples/autotest/*.wsdl \
-	         gsoap-$(version)/gsoap/uddi2/*.xsd \
+		 gsoap-$(version)/gsoap/uddi2/*.xsd \
 		 gsoap-$(version)/gsoap/uddi2/*.wsdl ; \
-	  echo "Deleting .dotfiles" ; \
-	  find gsoap-$(version) -name .DS_Store -exec rm {} ';' ; \
-	  rm gsoap-$(version)/gsoap/samples/wcf/WS/DualHttp/.calculator.cpp.swp ; \
 	  echo "Repacking" ; \
 	  tar -z -c -f gsoap_$(version).orig.tar.gz gsoap-$(version) ; \
 	  echo "Cleaning up" ; \
