## gsoap 2.8.28

=== debian/changelog ===
gsoap (2.8.28-2) unstable; urgency=medium

  * Remove workaround for gcc optimization bug (Fixed in gcc-5/5.3.1-9).
  * Set SOURCE_DATE_EPOCH and rebuild using doxygen 1.8.11
    (for reproducible build)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 23 Feb 2016 16:29:52 +0100

gsoap (2.8.28-1) unstable; urgency=medium

  * New upstream release
  * Bump soname
  * Drop patch fixed upstream: gsoap-missing-terminating-quote.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 02 Feb 2016 11:14:16 +0100

gsoap (2.8.22-2) unstable; urgency=medium

  * Introduce workaround for gcc optimization bug on mips and mipsel, add
    -fno-ipa-sra to CFLAGS and CXXFLAGS - see BTS #804536 (Closes: #804455)
  * Fix some compilation warnings

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 20 Jan 2016 21:30:22 +0100
