=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), dh-autoreconf, flex, bison, libssl-dev, doxygen, graphviz
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: devel
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap7
+Package: libgsoap8
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -24,7 +24,7 @@
 Multi-Arch: same
 Replaces: gsoap (<< 2.8.12)
 Breaks: gsoap (<< 2.8.12)
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap7 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap8 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
@@ -55,7 +55,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libgsoap7 (= ${binary:Version})
+Depends: ${misc:Depends}, libgsoap8 (= ${binary:Version})
 Description: Debugging symbols for gSOAP libraries
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Debugging symbols for libraries.
