=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,12 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.22
+version = 2.8.28
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 7
+soversion = 8
+
+export SOURCE_DATE_EPOCH = \
+	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
 
 configure: configure-stamp
 
@@ -62,7 +65,7 @@
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
@@ -101,6 +104,7 @@
 	dh_installchangelogs -i
 	dh_install -i --fail-missing
 	dh_installman -i
+	dh_lintian -i
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
@@ -137,10 +141,6 @@
 		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
 		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  ( cd gsoap-$(version)/gsoap/samples/link++ ; make distclean ) ; \
-	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/Http ; make distclean ) ; \
-	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/MessageSecurity ; make distclean ) ; \
-	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity ; make distclean ) ; \
-	  ( cd gsoap-$(version)/gsoap/samples/wcf/WS/DualHttp ; make distclean ) ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
 	  rm -rf gsoap-$(version)/gsoap/doc/*/html \
 		 gsoap-$(version)/gsoap/ios_plugin/ios_plugin/docs/html \
